using SecuritySystemContracts.BindingModels;
using SecuritySystemContracts.SearchModels;
using SecuritySystemContracts.ViewModels;

namespace SecuritySystemContracts.StoragesContracts
{
    public interface ISecureStorage
    {
        List<SecureViewModel> GetFullList();
        List<SecureViewModel> GetFilteredList(SecureSearchModel model);
        SecureViewModel? GetElement(SecureSearchModel model);
        SecureViewModel? Insert(SecureBindingModel model);
        SecureViewModel? Update(SecureBindingModel model);
        SecureViewModel? Delete(SecureBindingModel model);
    }
}
